Name:           perl-Perl4-CoreLibs
Version:        0.003
Release:        3%{?dist}
Summary:        Libraries historically supplied with Perl 4
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Perl4-CoreLibs/
Source0:        http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/Perl4-CoreLibs-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Module::Build) >= 0.26
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
# File::Find not used at tests
BuildRequires:  perl(IPC::Open2)
BuildRequires:  perl(IPC::Open3)
# Prefer Socket over socket.ph
# Socket not used at tests
BuildRequires:  perl(Text::ParseWords) >= 3.25
BuildRequires:  perl(Time::Local)
# warnings::register not used at tests
# Tests:
BuildRequires:  perl(Config)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(File::Find)
Requires:       perl(IPC::Open2)
Requires:       perl(IPC::Open3)
Requires:       perl(Socket)
Requires:       perl(Text::ParseWords) >= 3.25
Requires:       perl(Time::Local)
Requires:       perl(warnings::register)
# Dependencies on these Perl 4 files are generated as perl(foo.pl):
Provides:       perl(abbrev.pl) = %{version}
Provides:       perl(assert.pl) = %{version}
Provides:       perl(bigfloat.pl) = %{version}
Provides:       perl(bigint.pl) = %{version}
Provides:       perl(bigrat.pl) = %{version}
Provides:       perl(cacheout.pl) = %{version}
Provides:       perl(chat2.pl) = %{version}
Provides:       perl(complete.pl) = %{version}
Provides:       perl(ctime.pl) = %{version}
Provides:       perl(dotsh.pl) = %{version}
Provides:       perl(exceptions.pl) = %{version}
Provides:       perl(fastcwd.pl) = %{version}
Provides:       perl(finddepth.pl) = %{version}
Provides:       perl(find.pl) = %{version}
Provides:       perl(flush.pl) = %{version}
Provides:       perl(ftp.pl) = %{version}
Provides:       perl(getcwd.pl) = %{version}
Provides:       perl(getopt.pl) = %{version}
Provides:       perl(getopts.pl) = %{version}
Provides:       perl(hostname.pl) = %{version}
Provides:       perl(importenv.pl) = %{version}
Provides:       perl(look.pl) = %{version}
# newgetopt.pl is distributed by Getopt-Long, CPAN RT#102212
Provides:       perl(open2.pl) = %{version}
Provides:       perl(open3.pl) = %{version}
Provides:       perl(pwd.pl) = %{version}
Provides:       perl(shellwords.pl) = %{version}
Provides:       perl(stat.pl) = %{version}
Provides:       perl(syslog.pl) = %{version}
Provides:       perl(tainted.pl) = %{version}
Provides:       perl(termcap.pl) = %{version}
Provides:       perl(timelocal.pl) = %{version}
Provides:       perl(validate.pl) = %{version}

%description
This is a collection of .pl files that have historically been bundled with the
Perl core and were removed from perl 5.16.  These files should not be used by
new code.  Functionally, most have been directly superseded by modules in the
Perl 5 style. This collection exists to support old Perl programs that
predates satisfactory replacements.

%prep
%setup -q -n Perl4-CoreLibs-%{version}
# newgetopt.pl is distributed by Getopt-Long, CPAN RT#102212
rm lib/newgetopt.pl
sed -i -e '/^lib\/newgetopt\.pl/d' MANIFEST

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.003-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.003-2
- Perl 5.22 rebuild

* Thu Feb 19 2015 Petr Pisar <ppisar@redhat.com> 0.003-1
- Specfile autogenerated by cpanspec 1.78.
- Do not build-require File::Find, Socket, and warnings::register which are
  not exercised by tests
- Sort provides by English rules
